"use strict";

const CAPTURE_JS_PATH = "/content.js";
const activeTabs = {};

chrome.browserAction.onClicked.addListener(onBrowserAction);
chrome.webNavigation.onCompleted.addListener(onNavCompleted);

function onBrowserAction(tab) {
  const tabId = tab.id;

  if (!activeTabs[tabId]) {
    chrome.tabs.executeScript(tabId, {
      "file": CAPTURE_JS_PATH,
      "allFrames": true
    });
    activeTabs[tabId] = true;
  } else {
    delete activeTabs[tabId];
  }
}

function onNavCompleted(details) {
  const tabId = details.tabId;
  const frameId = details.frameId;

  if (tabId in activeTabs) {
    chrome.tabs.executeScript(tabId, {
      "file": CAPTURE_JS_PATH,
      "frameId": frameId
    });
  }
}
